commit 290c6aeca909dd3eb3b999a3790e27c4f9e6116b
Author: Kostas Papadimitriou <kpap@grnet.gr>
Date:   Fri Jan 27 12:15:06 2012 +0200

    Debian packaging for snf-okeanos-site

diff --git a/snf-okeanos-site/debian/changelog b/snf-okeanos-site/debian/changelog
new file mode 100644
index 0000000..2839744
--- /dev/null
+++ b/snf-okeanos-site/debian/changelog
@@ -0,0 +1,5 @@
+snf-okeanos-site (0.7.4-1) UNRELEASED; urgency=low
+
+  * New upstream version.
+
+ -- Kostas Papadimitriou <kpap@grnet.gr>  Fri, 13 Jan 2012 16:44:01 +0300
diff --git a/snf-okeanos-site/debian/clean b/snf-okeanos-site/debian/clean
new file mode 100644
index 0000000..fc2ac6d
--- /dev/null
+++ b/snf-okeanos-site/debian/clean
@@ -0,0 +1 @@
+snf_okeanos_site.egg-info/*
diff --git a/snf-okeanos-site/debian/compat b/snf-okeanos-site/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/snf-okeanos-site/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/snf-okeanos-site/debian/control b/snf-okeanos-site/debian/control
new file mode 100644
index 0000000..843734b
--- /dev/null
+++ b/snf-okeanos-site/debian/control
@@ -0,0 +1,16 @@
+Source: snf-okeanos-site
+Section: python
+Priority: optional
+Maintainer: Vangelis Koukis <vkoukis@grnet.gr>
+Build-Depends: debhelper (>= 8), python-all (>= 2.5), snf-common
+Standards-Version: 3.9.2
+XS-Python-Version: >= 2.6
+Homepage: https://code.grnet.gr/projects/synnefo
+
+Package: snf-okeanos-site
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, snf-webproject, python-django-south (>= 0.7)
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: ~okeanos intro site
+
diff --git a/snf-okeanos-site/debian/copyright b/snf-okeanos-site/debian/copyright
new file mode 100644
index 0000000..9b3e45c
--- /dev/null
+++ b/snf-okeanos-site/debian/copyright
@@ -0,0 +1,44 @@
+Format: http://anonscm.debian.org/viewvc/dep/web/deps/dep5.mdwn?revision=174&view=co
+Upstream-Name: snf-app
+Upstream-Contact: GRNET development team <synnefo@lists.grnet.gr>
+Source: https://code.grnet.gr/projects/synnefo
+
+Files: *
+Copyright: Copyright (C) 2011, 2012 GRNET S.A.
+Licence: BSD-2-clause
+
+Licence: BSD-2-clause
+ Redistribution and use in source and binary forms, with or
+ without modification, are permitted provided that the following
+ conditions are met:
+ .
+ 1. Redistributions of source code must retain the above
+    copyright notice, this list of conditions and the following
+    disclaimer.
+ .
+ 2. Redistributions in binary form must reproduce the above
+    copyright notice, this list of conditions and the following
+    disclaimer in the documentation and/or other materials
+    provided with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
+ OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL GRNET S.A OR
+ CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+ USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
+ AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
+ ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ POSSIBILITY OF SUCH DAMAGE.
+ .
+ The views and conclusions contained in the software and
+ documentation are those of the authors and should not be
+ interpreted as representing official policies, either expressed
+ or implied, of GRNET S.A.
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/BSD'.
diff --git a/snf-okeanos-site/debian/dirs b/snf-okeanos-site/debian/dirs
new file mode 100644
index 0000000..e69de29
diff --git a/snf-okeanos-site/debian/gbp.conf b/snf-okeanos-site/debian/gbp.conf
new file mode 100644
index 0000000..56cbd9a
--- /dev/null
+++ b/snf-okeanos-site/debian/gbp.conf
@@ -0,0 +1,9 @@
+[DEFAULT]
+sign-tags = False
+pristine-tar = False
+
+[git-buildpackage]
+export-dir = ../../build-area/
+tarball-dir = ../../tarballs/
+debian-branch = debian-0.8
+upstream-branch = master
diff --git a/snf-okeanos-site/debian/pydist-overrides b/snf-okeanos-site/debian/pydist-overrides
new file mode 100644
index 0000000..069b499
--- /dev/null
+++ b/snf-okeanos-site/debian/pydist-overrides
@@ -0,0 +1 @@
+snf-webproject snf-webproject
diff --git a/snf-okeanos-site/debian/rules b/snf-okeanos-site/debian/rules
new file mode 100755
index 0000000..f861890
--- /dev/null
+++ b/snf-okeanos-site/debian/rules
@@ -0,0 +1,21 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@ --with python2
+
+package=snf-okeanos-site
+static_dir=debian/$(package)/usr/share/synnefo/static/
+okeanos_static_dir=okeanos_site/static/okeanos_static/
+config_lvl=50
+
+override_dh_auto_install:
+	dh_auto_install
+	
+	mkdir -p $(static_dir)okeanos_static;
+	-mv $(okeanos_static_dir) $(static_dir);
+	
+	mkdir -p debian/$(package)/etc/synnefo
+	cp okeanos_site/settings.py \
+		debian/$(package)/etc/synnefo/$(config_lvl)-$(package)-settings.conf;  \
+	sed -i 's/^/#/' debian/$(package)/etc/synnefo/*.conf;
+
diff --git a/snf-okeanos-site/debian/source/format b/snf-okeanos-site/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/snf-okeanos-site/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
